Summary:	Network protocol analyzer
Name:		wireshark
Version:	1.2.8
Release:	1
License:	GPL
Group:		Networking/Utilities
Source:		http://wireshark.org/download/src/all-versions/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://www.wireshark.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	make

BuildRequires:	c-ares-devel >= 1.7.1
BuildRequires:	GeoIP-devel >= 1.4.7-0.1.20090931cvs
BuildRequires:	glib2-devel >= 2.22.4
BuildRequires:	gnutls-devel >= 2.6.6
BuildRequires:	gtk2-devel >= 2.18.5
BuildRequires:	libgcrypt-devel >= 1.4.5
BuildRequires:	libgpg-error-devel >= 1.7
BuildRequires:	libpcap-devel >= 0.9.8-2
BuildRequires:	libsmi-devel >= 0.4.8
BuildRequires:	lua-devel >= 5.1.4
BuildRequires:	pango-devel >= 1.24.5
BuildRequires:	pcre-devel >= 7.9
BuildRequires:	readline-devel >= 5.2-2
BuildRequires:	zlib-devel >= 1.2.3-5

Requires:	bash
Requires:	c-ares >= 1.7.1
Requires:	GeoIP >= 1.4.7-0.1.20090931cvs
Requires:	glib2 >= 2.22.4
Requires:	gnutls >= 2.6.6
Requires:	gtk2 >= 2.18.5
Requires:	libgcrypt >= 1.4.5
Requires:	libgpg-error >= 1.7
Requires:	libpcap >= 0.9.8-2
Requires:	libsmi >= 0.4.8
Requires:	lua >= 5.1.4
Requires:	pango >= 1.24.5
Requires:	pcre >= 7.9
Requires:	readline >= 5.2-2
Requires:	zlib >= 1.2.3-5

%description
Wireshark is a free network protocol analyzer for Unix and Windows. It
allows you to examine data from a live network or from a capture file
on disk. You can interactively browse the capture data, viewing summary
and detail information for each packet. Wireshark has several powerful
features, including a rich display filter language and the ability to
view the reconstructed stream of a TCP session.


%prep
%setup -q
# fix the compile process
mkdir -p .libs
mkdir -p epan/.libs
cd .libs
ln -s ../epan/.libs/inet_pton.o .
ln -s ../epan/.libs/inet_pton.u .
cd ../epan
ln -s ../inet_pton.c .
cd ..
ln -s epan/inet_pton.lo .


%build
export CC=xlc_r
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --enable-wireshark \
    --disable-profile-build \
    --enable-ipv6 \
    --with-gnutls=yes \
    --with-gcrypt=yes \
    --with-libsmi \
    --with-pcap \
    --with-pcap-remote \
    --with-zlib \
    --with-pcre \
    --with-lua \
    --without-portaudio \
    --with-ssl=/opt/freeware \
    --without-krb5 \
    --with-c-ares \
    --with-adns \
    --with-geoip \
    --with-plugins

gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics
cp %{SOURCE1} ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/
chmod 0644 ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/*

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
chmod 0644 ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -s ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.aix
%{_bindir}/*
%{_libdir}/*.*a
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/%{version}
%{_mandir}/man?/*
%{_datadir}/%{name}
%attr(0644,root,system) /etc/X11/applnk/Graphics/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/usr/bin/*


%changelog
* Wed May 19 2010 Michael Perzl <michael@perzl.org> - 1.2.8-1
- first version for AIX V5.1 and higher
